Send email

This request sends an email to the borrowers associated with a set of loans.

   Click here to learn more about this request

This request uses LoanPro's email tool, which lets you send emails to the customers associated with loans within your account. Note the following when using this request:

Using the email tool requires a few preliminary steps. You will need a verified company email set up, and you will need your Connections account to be linked to your LoanPro account. Lastly, your Connections email configuration will need to be complete.

This request sends the email to an array of loan IDs. The customers that are associated with those loans will receive an email. The emails stored within each customer's contact information will be the recipient emails.

This request requires you to know your company's email ID. This ID cannot be found within the UI, but you can find it via the following GET request:

https://loanpro.simnang.com/api/public/api/1/odata.svc/Tenants(5200243)/CompanyEmails

And here's a sample response which shows where the ID is found:

{
    "d": {
        "results": [
            {
                "__metadata": {
                    "uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/CompanyEmails(id=75)",
                    "type": "Entity.CompanyEmail"
                },
                "id": 20, // 👈 This is the ID you will need.
                "email": "[email protected]",
                "type": "company.email.main",
                "typeValue": "Main Email",
                "primary": 1,
                "tenantId": 5200243,
                "validated": 1
            }
        ],
        "summary": {
            "start": 0,
            "pageSize": 50,
            "total": 1
        }
    }
}

For an example of how the email tool works within the UI, take a look at our Email Tool article.

Database

For information on email database tables, see the following articles:

Database – Email Tool Entity (email_tool_entity)

Database – Email Tool - Loan Association (email_tool__loan)

Database – Email Delivery Entity (email_delivery_entity)

{
     "companyEmailId": 75,
     "emailSubject": "Urgent! Open Before Midnight!!",
     "emailContent": "Hi, [[v('customer.primary.first-name')]]. If you don't open this email before midnight and send it to ten friends, you will have bad luck for seven years!!",
     "loans": [
          9114,
          9118
     ]
}
Body Params
int32
required

This is the ID of the company email to use in the 'From' field.
> This can be found via a GET request as we explain above.

string
required

This is the subject of the email.

string
required

This is the body of the email.
> You can use LoanPro's context engine variables here to autofill customer and loan information.

loans
array of int32s
required

This is a JSON array of the loan IDs the email will be sent to.

loans*
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json